// Conti_InterpDlg.h : header file
//

#pragma once
#include "afxwin.h"

#define MAX_INTERP_SEGMENT		8

typedef struct _CONTI_INTERP_SEGMENT_
{
	long MainAxisFinishPoint;	/* Finish point of MainAxis */
	long SlaveAxisFinishPoint;	/* Finish point of SlaveAxis */
	
	long MainAxisCenterPoint;	/* Center point of MainAxis */
	long SlaveAxisCenterPoint;	/* Center point of SlaveAxis */
}CONTI_INTERP_SEGMENT;

// CConti_InterpDlg dialog
class CConti_InterpDlg : public CDialog
{
// Construction
public:
	CConti_InterpDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_CONTI_INTERP_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	CButton m_btMove;
	CButton m_btClear;
protected:
	BYTE m_bDone;
	int m_SegIndex;
	int m_SegRun;
	short m_ModuleNum;
	BYTE m_CurSlotNo;
	BYTE m_ErrorOccure;
	UINT m_nTimer2;
	UINT m_nTimer;
public:
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnRectangleMove();
	afx_msg void OnResetCounter();
};
