// DI_StatusDlg.h : header file
//

#pragma once
#include "afxwin.h"

// CDI_StatusDlg dialog
class CDI_StatusDlg : public CDialog
{
// Construction
public:
	CDI_StatusDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_DI_STATUS_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	CStatic m_INP_OFF;
	CStatic m_IN3_OFF;
	CStatic m_NORG_OFF;
	CStatic m_ORG_OFF;
	CStatic m_ALM_OFF;
	CStatic m_EMG_OFF;
	CStatic m_LMTM_OFF;
	CStatic m_LMTP_OFF;
	CStatic m_INP_ON;
	CStatic m_IN3_ON;
	CStatic m_NORG_ON;
	CStatic m_ORG_ON;
	CStatic m_ALM_ON;
	CStatic m_EMG_ON;
	CStatic m_LMTM_ON;
	CStatic m_LMTP_ON;
protected:
	int m_INP_En;
	int m_Alarm_En;
	int m_Polarity_ELP;
	int m_Polarity_INP;
	int m_Polarity_Alarm;
public:
	afx_msg void OnDestroy();
protected:
	short m_ModuleNum;
	unsigned char m_CurSlotNo;
public:
	unsigned int nTimer;
	afx_msg void OnAlarmEnable();
	afx_msg void OnAlarmDisable();
	afx_msg void OnINPEnable();
	afx_msg void OnINPDisable();
	afx_msg void OnRadioInpHigh();
	afx_msg void OnRadioInpLow();
	afx_msg void OnRadioElHigh();
	afx_msg void OnRadioElLow();
	afx_msg void OnRadioAlarmHigh();
	afx_msg void OnRadioAlarmLow();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};
