// Line3_MoveDlg.h : header file
//

#pragma once
#include "afxwin.h"

// CLine3_MoveDlg dialog
class CLine3_MoveDlg : public CDialog
{
// Construction
public:
	CLine3_MoveDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_LINE3_MOVE_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	CButton	m_btStop;
	CButton	m_btMove;
	CButton	m_btClear;
	long	m_nFinishPoint;
	long	m_nFinishPoint2;
	long	m_nFinishPoint3;
	UINT	m_dwAcce;
	UINT	m_dwDecel;
	UINT	m_dwStartSpeed;
	UINT	m_dwDriveSpeed;
	int		m_nMoveType;
	CString	m_strAcce;
	CString	m_strDecel;
protected:
	short m_ModuleNum;
	BYTE m_CurSlotNo;
	UINT nTimer;
	BYTE m_ErrorOccure;
	BOOL m_bStartMotion;
public:
	void DetailedErrorMsg(WORD wErrAxes);
	afx_msg void OnConstMove();
	afx_msg void OnTProfile();
	afx_msg void OnSCurve();
	afx_msg void OnInterpStart();
	afx_msg void OnMotionStop();
	afx_msg void OnResetCounter();
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnUpdateStartSpeed(CCmdUI *pCmdUI);
};
