// Line_MoveDlg.h : header file
//

#pragma once
#include "afxwin.h"

// CLine_MoveDlg dialog
class CLine_MoveDlg : public CDialog
{
// Construction
public:
	CLine_MoveDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_LINE_MOVE_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;
	int m_nMoveType;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	short m_ModuleNum;
	BYTE m_CurSlotNo;
	UINT nTimer;
	UINT m_dwOldDecel;
	BYTE m_ErrorOccure;

	CButton m_btMove;
	CButton m_btStop;
	CButton m_btClear;
	BOOL m_bSymmetric;
	CString m_strAcce;
	CString m_strDecel;
	UINT m_dwStartSpeed;
	UINT m_dwDriveSpeed;
	UINT m_dwAcce;
	UINT m_dwDecel;
	long m_nFixedPulse;
	afx_msg void OnCnstSpeedClicked();
	afx_msg void OnTMoveClicked();
	afx_msg void OnSCurveClicked();
	afx_msg void OnMotionStart();
	afx_msg void OnMotionStop();
	afx_msg void OnCheckSymmetric();
	afx_msg void OnResetCounter();
	afx_msg void OnUpdateDeceleration(CCmdUI *pCmdUI);
	afx_msg void OnUpdateStartSpeed(CCmdUI *pCmdUI);
protected:
	void DetailedErrorMsg(short wErrorSts);

public:
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};
