// Synch_ActionDlg.h : header file
//

#pragma once
#include "afxwin.h"

// CSynch_ActionDlg dialog
class CSynch_ActionDlg : public CDialog
{
// Construction
public:
	CSynch_ActionDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SYNCH_ACTION_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	CButton	m_btClear;
	CButton	m_btMove;
	int		m_nSyncCondition;
	int		m_nSyncAction;
	long	m_nComparatorP;
	long	m_nComparatorM;
	CString	m_strCA_X;
	CString	m_strCA_Y;
	CString	m_strCV_X;
	CString	m_strCV_Y;
	CString	m_strLP_X;
	CString	m_strLP_Y;
protected:
	DWORD m_dwStartSpeed;
	DWORD m_dwAcce;
	DWORD m_dwDriveSpeed;
	long m_nFixedPulse;
	short m_ModuleNum;
	BYTE m_CurSlotNo;
	UINT nTimer;

public:
	afx_msg void OnRadioContinueForwardDrive();
	afx_msg void OnRadioContinueReverseDrive();
	afx_msg void OnRadioSlowdownStop();
	afx_msg void OnRadioSuddenStop();
	afx_msg void OnRadioStartDrive();
	afx_msg void OnRadioEndDrive();
	afx_msg void OnExceedCmpPlus();
	afx_msg void OnLessCmpPlus();
	afx_msg void OnLessCmpMinus();
	afx_msg void OnExceedCmpMinus();
	afx_msg void OnResetCounter();
	afx_msg void OnMoveStart();
	afx_msg void OnRadioFixedForwardDrive();
	afx_msg void OnRadioFixedReverseDrive();
	afx_msg void OnUpdateCMPP(CCmdUI *pCmdUI);
	afx_msg void OnUpdateCMPM(CCmdUI *pCmdUI);
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnDestroy();
};
